<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_231) on Thu Apr 30 00:38:27 EEST 2020 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ProductsBLL</title>
<meta name="date" content="2020-04-30">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ProductsBLL";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ProductsBLL.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../business_layer/OrdersValidation.html" title="class in business_layer"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../business_layer/ProductsValidation.html" title="class in business_layer"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?business_layer/ProductsBLL.html" target="_top">Frames</a></li>
<li><a href="ProductsBLL.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">business_layer</div>
<h2 title="Class ProductsBLL" class="title">Class ProductsBLL</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>business_layer.ProductsBLL</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ProductsBLL</span>
extends java.lang.Object</pre>
<div class="block">– contine doua variabile instanta: un obiect de tipul ProductsAbstractDAO, 
 care are rolul de a efectua legatura intre Business Logic Layer si Data Access Layer, 
 si un obiect de tipul ProductsValidation, care are rolul de a valida datele referitoare la un produs 
 inainte de efectuarea oricarei operatii asupra lui; 
 - pe langa constructor, clasa contine si cate o metoda pentru fiecare operatie de baza asupra tabelului Products 
 (adaugarea unui produs, stergerea unui produs, editarea numelui produsului, editarea stocului produsului, 
 editarea cantitatii produsului si vizualizarea tuturor produselor din tabela Products);</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../business_layer/ProductsBLL.html#ProductsBLL-dao_package.ProductsAbstractDAO-business_layer.ProductsValidation-">ProductsBLL</a></span>(<a href="../dao_package/ProductsAbstractDAO.html" title="class in dao_package">ProductsAbstractDAO</a>&nbsp;prodDAO,
           <a href="../business_layer/ProductsValidation.html" title="class in business_layer">ProductsValidation</a>&nbsp;prodValidation)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../business_layer/ProductsBLL.html#addProduct-model.Products-">addProduct</a></span>(<a href="../model/Products.html" title="class in model">Products</a>&nbsp;product)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../business_layer/ProductsBLL.html#deleteProduct-int-">deleteProduct</a></span>(int&nbsp;ProdID)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../business_layer/ProductsBLL.html#editProdName-int-java.lang.String-">editProdName</a></span>(int&nbsp;ProdID,
            java.lang.String&nbsp;newProdName)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../business_layer/ProductsBLL.html#editProdPrice-int-float-">editProdPrice</a></span>(int&nbsp;ProdID,
             float&nbsp;newProdPrice)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../business_layer/ProductsBLL.html#editProdStock-int-int-">editProdStock</a></span>(int&nbsp;ProdID,
             int&nbsp;newProdStock)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.Object[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../business_layer/ProductsBLL.html#showAll--">showAll</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ProductsBLL-dao_package.ProductsAbstractDAO-business_layer.ProductsValidation-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ProductsBLL</h4>
<pre>public&nbsp;ProductsBLL(<a href="../dao_package/ProductsAbstractDAO.html" title="class in dao_package">ProductsAbstractDAO</a>&nbsp;prodDAO,
                   <a href="../business_layer/ProductsValidation.html" title="class in business_layer">ProductsValidation</a>&nbsp;prodValidation)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addProduct-model.Products-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addProduct</h4>
<pre>public&nbsp;void&nbsp;addProduct(<a href="../model/Products.html" title="class in model">Products</a>&nbsp;product)</pre>
</li>
</ul>
<a name="deleteProduct-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteProduct</h4>
<pre>public&nbsp;void&nbsp;deleteProduct(int&nbsp;ProdID)</pre>
</li>
</ul>
<a name="editProdName-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editProdName</h4>
<pre>public&nbsp;int&nbsp;editProdName(int&nbsp;ProdID,
                        java.lang.String&nbsp;newProdName)</pre>
</li>
</ul>
<a name="editProdStock-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editProdStock</h4>
<pre>public&nbsp;int&nbsp;editProdStock(int&nbsp;ProdID,
                         int&nbsp;newProdStock)</pre>
</li>
</ul>
<a name="editProdPrice-int-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editProdPrice</h4>
<pre>public&nbsp;int&nbsp;editProdPrice(int&nbsp;ProdID,
                         float&nbsp;newProdPrice)</pre>
</li>
</ul>
<a name="showAll--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>showAll</h4>
<pre>public&nbsp;java.lang.Object[][]&nbsp;showAll()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ProductsBLL.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../business_layer/OrdersValidation.html" title="class in business_layer"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../business_layer/ProductsValidation.html" title="class in business_layer"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?business_layer/ProductsBLL.html" target="_top">Frames</a></li>
<li><a href="ProductsBLL.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
